Issues an ephemeral browser context encryption key for encrypting tab context files prior to upload.
HTTP request
POST https://discoveryengine.googleapis.com/v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}:issueBrowserContextKey The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the |
Request body
The request body must be empty.
Response body
Response for AssistantService.IssueBrowserContextKey.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "publicKeyset": string, "wrappedKeyset": string } |
| Fields | |
|---|---|
publicKeyset |
The serialized Tink HPKE public keyset ( A base64-encoded string. |
wrappedKeyset |
The wrapped HPKE private keyset to pass back in A base64-encoded string. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/discoveryengine.assist.readwritehttps://www.googleapis.com/auth/discoveryengine.readwritehttps://www.googleapis.com/auth/discoveryengine.serving.readwrite
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
discoveryengine.assistants.assist
For more information, see the IAM documentation.